#
# spec file for package base (Version 2001.8.30)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp gppshare libgpp libtool
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         base
%define tar_ver 1.13.18
%define sed_ver 3.02
%define time_ver 1.7
%define which_ver 2.13
%define ksymoops_ver 2.4.2
Copyright:    1999 - not specified
Group:        System Environment/Base
Provides:     tar
Autoreqprov:  on
Version:      2001.8.30
Release:      22
Summary:      Some important GNU packages
Source:  tar-%{tar_ver}.tar.bz2
Source3: sed-%{sed_ver}.tar.bz2
Source4: freeramdisk.tar.gz
Source5: which-%{which_ver}.tar.gz
Source7: time-%{time_ver}.tar.gz
Source8: klogconsole.tar.gz
Source9: ftp://ftp.kernel.org/pub/linux/utils/kernel/ksymoops/ksymoops-%{ksymoops_ver}.tar.bz2
Patch: tar-%{tar_ver}.dif
#Patch3: sed-%{sed_ver}.dif
Patch4: freeramdisk.dif
#Patch7: time-%{time_ver}.dif
Patch8: klogconsole.dif
Patch9: ksymoops-%{ksymoops_ver}.diff

%description
This package normally also includes the program "rmt", which provides
remote tape drive control. Since there is a compatible 'rmt' in the
'dump' package we didn't put 'rmt' into this package. If you are planning
to use the remote tape features provided by tar you have to install the
'dump' package as well.

Authors:
--------
    Francois Pinard <pinard@iro.umontreal.ca>
    Tom Lord <lord@cygnus.com>
    David J. MacKenzie <djm@gnu.ai.mit.edu>
    Akiko Matsushita <matusita@sra.co.jp>
    Alan Magnuson <awm@osc.edu>
    Alexander Lehmann <alex@hal.rhein-main.de>
    Amos Shapira <amoss@cs.huji.ac.il>
    Andreas Gustafsson <gson@niksula.hut.fi>
    Andreas Schwab <schwab@suse.de>
    Assar Westerlund <assar@nada.kth.se>
    Ben A. Mesander <ben@piglet.cr.usgs.gov>
    Bengt Mertensson <bengt@mathematik.uni-bremen.de>
    Bernhard Daeubler <Bernhard.Daeubler@physik.uni-ulm.de>
    Bjorn R. Bjornsson <brb@falcon.is>
    Brendan Kehoe <brendan@cygnus.com>
    Erez Zadok <ezk@cs.columbia.edu>
    Eric Allman <sendmail@sendmail.ORG>
    Eric Backus <ericb@lsid.hp.com>
    Geoff Russell <grussell@guest.adelaide.edu.au>
    Greg A. Woods <woods@web.apc.org>
    Hal Peterson <hrp@pecan.cray.com>
    Hoang Uong <hoang@ornews.intel.com>
    Ian Lance Taylor <ian@cygnus.com>
    Jason Merrill <jason@cygnus.com>
    Jim Avera <jima@netcom.com>
    Jim Kingdon <kingdon@cygnus.com>
    Jim Meyering <meyering@na-net.ornl.gov>
    Joel Sherrill <jsherril@uahcs2.cs.uah.edu>
    John David Anglin <dave@hiauly1.hia.nrc.ca>
    Joseph E. Sacco <jsacco@ssl.com>
    Karl Berry <karl@cs.umb.edu>
    Karl Vogel <vogelke@c-17igp.wpafb.af.mil>
    Kaveh R. Ghazi <ghazi@noc.rutgers.edu>
    Kristine Lund <lund@lpnaxp.in2p3.fr>
    Krste Asanovic <krste@icsi.berkeley.edu>
    Marion Hakanson <hakanson@cse.ogi.edu>
    Mark Seiden <mis@seiden.com>
    Matthias Rabe <rabe@mathematik.uni-bielefeld.de>
    Michael Fetterman <mafetter@ichips.intel.com>
    Michael L. Welcome <welcome@bigbird.llnl.gov>
    Mike Lijewski <lijewski@theory.tc.cornell.edu>
    Nick S. Kanakakor <skanan@otl.scu.edu>
    Nicolas Pioch <pioch@inf.enst.fr>
    Noah Friedman <friedman@gnu.ai.mit.edu>
    Pete Chown <pete.chown@dale.dircon.co.uk>
    Pierre Gaumond <gaumondp@ere.umontreal.ca>
    Pierre Mathieu <mathieu@geod.emr.ca>
    Robert Bernstein <rocky@panix.com>
    Rene' Seindal <seindal@kb.dk>
    Richard Stallman <rms@gnu.ai.mit.edu>
    Roland H. Pesch <roland@wrs.com>
    Roland McGrath <roland@gnu.ai.mit.edu>
    Scott Bartram
    Simon Leinen <simon@lia.di.epfl.ch>
    Skip Montanaro <skip@automatrix.com>
    Stephen Perkins <perkins@cps.msu.edu>
    Steve Williamson <willy@uinpla.npl.uiuc.edu>
    Thorsten Ohl <ohl@physics.harvard.edu>
    Tom McConnell <tmcconne@sedona.intel.com>
    Tom Quinn <trq@dionysos.thphys.ox.ac.uk>
    Tom Tromey <tromey@cns.caltech.edu>
    Ulrich Drepper <drepper@gnu.ai.mit.edu>
    Vern Paxson <vern@ee.lbl.gov>
    Vivek P. Singhal <singhal@cs.utexas.edu>
    Walter Wong <wcw+@cmu.edu>

SuSE series: a

%prep
%setup -n tar-%{tar_ver} -b 3 -b 4 -b 5 -b 7 -b 8 -b 9
%patch
cd ../freeramdisk
%patch -P 4
cd ../klogconsole
%patch -P 8
cd ../ksymoops-%{ksymoops_ver}
%patch -P 9 -p1
cd ../which-%{which_ver}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --bindir=/bin \
			 --mandir=%{_mandir} --infodir=%{_infodir} \
					%{_target_cpu}-suse-linux
make
make check
cd ../sed-%{sed_ver}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
			 --mandir=%{_mandir} --infodir=%{_infodir} \
					%{_target_cpu}-suse-linux
make
make check
cd ../freeramdisk
make freeramdisk
cd ../which-%{which_ver}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
			 --mandir=%{_mandir} --infodir=%{_infodir} \
					%{_target_cpu}-suse-linux
make
cd ../time-%{time_ver}
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" INSTALL_PROGRAM='$(INSTALL) -s' \
./configure --prefix=/usr --infodir=%{_infodir}
make
make check
cd ../klogconsole
#make klogconsole
gcc $RPM_OPT_FLAGS -s -o klogconsole klogconsole.c
cd ../ksymoops-%{ksymoops_ver}
CFLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf   %{_defaultdocdir}/base/
mkdir -p %{_defaultdocdir}/base/tar
make install-strip
install -m 0644 tar.1     %{_mandir}/man1/
install -m 0644 README    %{_defaultdocdir}/base/tar/
install -m 0644 ABOUT-NLS %{_defaultdocdir}/base/tar/
install -m 0644 AUTHORS   %{_defaultdocdir}/base/tar/
install -m 0644 COPYING   %{_defaultdocdir}/base/tar/
install -m 0644 NEWS      %{_defaultdocdir}/base/tar/
install -m 0644 THANKS    %{_defaultdocdir}/base/tar/
cd ../sed-%{sed_ver}
mkdir -p %{_defaultdocdir}/base/sed
make install-strip
# move sed to /bin
mv /usr/bin/sed /bin
ln -sf ../../bin/sed /usr/bin/sed
install -m 0644 doc/sed.info %{_infodir}
install -m 0644 README    %{_defaultdocdir}/base/sed/
install -m 0644 AUTHORS   %{_defaultdocdir}/base/sed/
install -m 0644 COPYING   %{_defaultdocdir}/base/sed/
install -m 0644 NEWS      %{_defaultdocdir}/base/sed/
install -m 0644 THANKS    %{_defaultdocdir}/base/sed/
install -m 0644 TODO      %{_defaultdocdir}/base/sed/
cd ../freeramdisk
install freeramdisk /usr/sbin
install -d %{_infodir}
install -m644 -o root -g root freeramdisk.info.gz %{_infodir}
cd ../which-%{which_ver}
make install
mkdir -p %{_defaultdocdir}/base/which
install -m 0644 README    %{_defaultdocdir}/base/which/
install -m 0644 EXAMPLES  %{_defaultdocdir}/base/which/
install -m 0644 README.alias %{_defaultdocdir}/base/which/
cd ../time-%{time_ver}
mkdir -p %{_defaultdocdir}/base/time
make install
install -m 0644 README    %{_defaultdocdir}/base/time/
install -m 0644 AUTHORS   %{_defaultdocdir}/base/time/
install -m 0644 COPYING   %{_defaultdocdir}/base/time/
install -m 0644 NEWS      %{_defaultdocdir}/base/time/
cd ../klogconsole
make install
cd ../ksymoops-%{ksymoops_ver}
mkdir -p %{_defaultdocdir}/base/ksymoops
install -s -o root -g root ksymoops /usr/sbin
install -o root -g root ksymoops.8 %{_mandir}/man8
install -m 0644 README    %{_defaultdocdir}/base/ksymoops/
install -m 0644 README.XFree86   %{_defaultdocdir}/base/ksymoops/
install -m 0644 COPYING   %{_defaultdocdir}/base/ksymoops/
find %{_defaultdocdir}/base/ -name '*.gz'  | xargs -r rm -f
find %{_defaultdocdir}/base/ -name COPYING | xargs -r gzip -9f

%files
/bin/sed
/bin/tar
/usr/bin/sed
/usr/bin/time
/usr/bin/which
%doc %{_defaultdocdir}/base/
%doc %{_infodir}/freeramdisk.info*.gz
%doc %{_infodir}/sed.info*.gz
%doc %{_infodir}/tar.info*.gz
%doc %{_infodir}/time.info*.gz
%doc %{_infodir}/which.info*.gz
%doc %{_mandir}/man1/sed.1.gz
%doc %{_mandir}/man1/tar.1.gz
%doc %{_mandir}/man1/which.1.gz
%doc %{_mandir}/man8/ksymoops.8.gz
%ifnarch s390 s390x
%doc %{_mandir}/man8/klogconsole.8.gz
%endif
/usr/sbin/freeramdisk
%ifnarch s390 s390x
/usr/sbin/klogconsole
%endif
/usr/sbin/ksymoops
/usr/share/locale/*/LC_MESSAGES/tar.mo

%changelog -n base
* Thu Aug 30 2001 - garloff@suse.de
- Update to ksymoops-2.4.2:
  * Handle multiple call traces from sysrq-t
  * Fixes: bss variable adjustment, regname cleanup
  * new params -i, -I, -T
* Mon Aug 20 2001 - werner@suse.de
- Switch to an other which package due to have a clear copyright
  notice (now marked as GPL).
- Use original code for klogconsole.c which includes the
  name and the copyright notice (GPL) from the author.
- Add makefile and manual page for klogconsole
* Sun Aug 12 2001 - bk@suse.de
- klogconsole has no HW function on s390 and s390x
* Wed Aug 01 2001 - werner@suse.de
- Make /etc/rmt versus /sbin/rmt switch dynamically
* Thu May 17 2001 - werner@suse.de
- Remove base doc directory before creating it (bug#8489)
* Wed May 09 2001 - cstein@suse.de
- repacked sources of tar and sed and with bzip2.
* Tue Apr 24 2001 - schwab@suse.de
- ksymoops: remove preprocessor directives in macro arguments.
* Wed Apr 11 2001 - garloff@suse.de
- Update to ksymoops-2.4.1.
* Tue Mar 27 2001 - werner@suse.de
- Fix man page of tar (#6741)
* Thu Mar 15 2001 - ro@suse.de
- hdparm to separate package
* Wed Mar 14 2001 - werner@suse.de
- use _GNU_SOURCE for time sub package
* Wed Mar 07 2001 - ro@suse.de
- grep and m4 to separate packages
* Fri Feb 09 2001 - schwab@suse.de
- m4: Fix improper uses of error (missing format string).
* Tue Jan 09 2001 - werner@suse.de
- Update hdparm to 3.9(a) to get ata features
* Fri Jan 05 2001 - garloff@suse.de
- Update to the official ksymoops-2.4.0:
  * Correct DEF_VMLINUX
- Use bzip2'ed source for ksymoops.
* Thu Jan 04 2001 - garloff@suse.de
- Update to ksymoops-2.3.6:
  * Added support for iA64, i370, S/390
  * Better support for some other non iA32 platforms
  * Handle SGI kdb backtrace
  * Use mkstemp for temp files
  * Docu XFree86 error report decoding
  * Multi CPU traceback
- Prepare Makefile of ksymoops-2.3.6 for RPM_BUILD_ROOT
- Fixed ksymoops to actually report version 2.3.6
- Use RPM_OPT_FLAGS for klogconsole
* Wed Dec 20 2000 - olh@suse.de
- use hdparm include patch on all archs
* Mon Dec 18 2000 - werner@suse.de
- Which: correct declarations, use snprintf instead of sprintf.
* Thu Dec 14 2000 - werner@suse.de
- Update to tar 1.13.18
  * should avoid some crashes
  * avoid exclude file list problem
* Wed Aug 30 2000 - pthomas@suse.de
- Link libbfd statically to ksymoops.
  Thus base does not depend on binutils anymore.
* Thu Jul 06 2000 - werner@suse.de
- Move grep, egrep, fgrep to /bin/, add links backward to /usr/bin.
* Wed Jun 28 2000 - uli@suse.de
- reenabled hdparm for s390
- removed hdparm patch for PPC and s390
* Sun Jun 25 2000 - bk@suse.de
- disabled hdparm on s390
* Sun Jun 11 2000 - olh@suse.de
- fix de.mo bug
* Mon May 29 2000 - kukuk@suse.de
- Move sed to /bin, add compat link
* Wed May 24 2000 - kukuk@suse.de
- Fix typo in spec file
* Sun May 21 2000 - kukuk@suse.de
- Use docdir macro
* Fri Apr 07 2000 - bk@suse.de
- enable forced update of config.{sub,guess} and libtool files
- remove disturbing ltconfig patch from m4 diff
* Wed Apr 05 2000 - schwab@suse.de
- hdparm: hack to prevent inclusion of <linux/string.h>.
- m4: fix ltconfig bug.
* Fri Mar 10 2000 - bk@suse.de
- added hdparm patch from andre for the new hdreg.h
- added hdparm ONONBLOCK fix recommend by axboe, submitted by andre
* Wed Mar 01 2000 - schwab@suse.de
- Fix klogconsole (bug #1547)
* Mon Feb 28 2000 - werner@suse.de
- Add some docs (close bug #233)
* Tue Feb 15 2000 - schwab@suse.de
- Update config.{guess,sub} to newest version.
* Fri Jan 21 2000 - werner@suse.de
- Update to tar 1.13.17
* Mon Jan 17 2000 - kasal@suse.de
- versions are now %%defined -- check_if_valid_source_dir should
  work ok with %%defines now
* Mon Jan 17 2000 - ro@suse.de
- info -> /usr/share/info
* Mon Jan 17 2000 - schwab@suse.de
- Fix array bounds bug in m4.
* Thu Jan 13 2000 - schwab@suse.de
- Update to tar 1.13
- Polish tar manpage
- Update to m4 1.4o
- Enable m4 stack overflow checking
- Update to grep 2.4
- Fix klogconsole -l for glibc
- Install manpages in /usr/share/man
* Tue Jan 04 2000 - ro@suse.de
- update hdparm to 3.6
* Fri Nov 26 1999 - kukuk@suse.de
- Add tar.1 to file list
- Remove obsolete entries from file list
- Build tar with locale support
* Thu Nov 25 1999 - kukuk@suse.de
- Add "make check" for grep, tar and m4, too.
- Remove lx_suse from needforbuild, it is in default selection
* Sat Nov 13 1999 - kukuk@suse.de
- Add new ksymoops, since it is not longer in kernel source tree (2.3.x)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 09 1999 - garloff@suse.de
- Fix bogus limits in klogconsole.
* Sat Aug 07 1999 - bs@suse.de
- switched back to grep 2.2 (nls still enabled.)
* Fri Aug 06 1999 - werner@suse.de
- Make grep-2.3 be more sufficient on grepping through binary data
  within pipes or writing to files.
* Mon Jul 19 1999 - florian@suse.de
- update to grep-2.3, enable nls
* Tue Apr 06 1999 - uli@suse.de
- added sed.info page
* Mon Mar 29 1999 - ro@suse.de
- compile ksymoops with normal kernel-makefile
* Tue Mar 02 1999 - ro@suse.de
- detect new kernel and compile ksymoops correct
* Thu Oct 29 1998 - ro@suse.de
- hdparm: respect change in 2.1.126 kernel
* Tue Sep 01 1998 - ro@suse.de
- m4: turned off stackovf-handling in configure: not implemented
* Fri Aug 28 1998 - ro@suse.de
- for m4: include rx.h for libc5 and regex.h for glibc
* Thu Aug 27 1998 - ro@suse.de
- update to grep-2.2, sed-3.02, tar-1.12
* Tue Feb 10 1998 - ro@suse.de
- updated hdparm to version 3.3 and moved to /sbin
  fixed spec-file to recompile all
  put sed man page in dif for sed
* Wed Apr 30 1997 - florian@suse.de
- tar: add lots of bug-fixes from gnu.utils.bugs
* Sat Apr 26 1997 - florian@suse.de
- grep: add bug-fixes from gnu.utils.bugs
* Thu Jan 02 1997 - bs@suse.de
  ksymoops recompiled (gpp lib)
* Thu Jan 02 1997 - florian@suse.de
  update to hdparm 3.1
  update to time 1.7
